创建项目运行问题,是否需要配置 <groupId>org.mortbay.jetty</groupId>

JMYang 发布于 2014/07/07 12:34
阅读 1K+
收藏 0

@Koala_考拉 你好,想跟你请教个问题:我下载的是eclipse4.3 64位集成koala3.0.0插件下载的,创建项目最后一部的时候  jetty:run 报错  似乎是找不到jetty这个插件,但是我看教程里面说:“这样便完成了一个项目的创建,这是一个可运行的项目,默认集成了jetty服务器以支持开发” 里面说是默认集成的?我想问一下这个需要在pom.xml里面配置么?

 

加载中
0
xujif
xujif

要使用jetty:run 需要pom里配置jetty插件。

示例:

<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-war-plugin</artifactId>
<version>2.3</version>
<configuration>
<webResources>
<resource>
<directory>src/main/webapp/WEB-INF</directory>
<targetPath>WEB-INF</targetPath>
</resource>
</webResources>
<archive>
<manifest>
<addDefaultImplementationEntries>true</addDefaultImplementationEntries>
<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
</manifest>
<manifestEntries>
<DisableIBMJAXWSEngine>true</DisableIBMJAXWSEngine>
</manifestEntries>
</archive>


</configuration>
</plugin>

JMYang
JMYang
@xujif 谢谢,我把您这段加到pom里面回家再试一下 公司没有网络。
0
Koala_考拉
Koala_考拉
参考教程http://my.oschina.net/xiaokaceng/blog/287802
返回顶部
顶部